Debian Bug report logs - #703695
ITP: libmessage-passing-zeromq-perl -- input and output messages to ZeroMQ

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jonas Smedegaard <dr@jones.dk>

Date: Fri, 22 Mar 2013 13:15:02 UTC

Owned by: Jonas Smedegaard <dr@jones.dk>

Severity: wishlist

Fixed in version libmessage-passing-zeromq-perl/0.006-1

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-perl-maintainers@lists.alioth.debian.org, wnpp@debian.org:
Bug#703695; Package wnpp. (Fri, 22 Mar 2013 13:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-perl-maintainers@lists.alioth.debian.org, wnpp@debian.org. (Fri, 22 Mar 2013 13:15:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libmessage-passing-zeromq-perl -- input and output messages to ZeroMQ
Date: Fri, 22 Mar 2013 14:11:13 +0100
Package: wnpp
Severity: wishlist
Owner: Jonas Smedegaard <dr@jones.dk>

* Package name    : libmessage-passing-zeromq-perl
  Version         : 0.06
  Upstream Author : Tomas (t0m) Doran <bobtfish@bobtfish.net>
* URL             : http://search.cpan.org/dist/Message-Passing-ZeroMQ/
* License         : AGPL-3
  Programming Lang: Perl
  Description     : input and output messages to ZeroMQ

 Message::Passing::ZeroMQ is a ZeroMQ transport for Message::Passing.
 .
 Designed for use as a log transport and aggregation mechanism for perl
 applications, allowing you to aggregate structured and non-structured
 log messages across the network in a non-blocking manner.
 .
 Clients (i.e. users of the Message::Passing::Output::ZeroMQ class)
 connect to a server (i.e. a user of the Message::Passing::Input::ZeroMQ
 class) via ZeroMQ's pub/sub sockets. These are setup to be lossy and
 non-blocking, meaning that if the log-receiver process is down or slow,
 then the application will queue a small (and configurable) amount of
 logs on its side, and after that log messages will be dropped.
 .
 Whilst throwing away log messages isn't a good thing to do, or
 something that you want to happen regularly, in many (especially web
 application) contexts, network logging being a single point of failure
 is not acceptable from a reliability and graceful degradation
 standpoint.
 .
 The application grinding to a halt as a non-essential centralised
 resource is unavailable (e.g. the log aggregation server) is
 significantly less acceptable than the loss of non-essential logging
 data.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 22 Mar 2013 19:06:09 GMT) Full text and rfc822 format available.

Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Sat, 13 Apr 2013 13:03:38 GMT) Full text and rfc822 format available.

Notification sent to Jonas Smedegaard <dr@jones.dk>:
Bug acknowledged by developer. (Sat, 13 Apr 2013 13:03:38 GMT) Full text and rfc822 format available.

Message #12 received at 703695-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 703695-close@bugs.debian.org
Subject: Bug#703695: fixed in libmessage-passing-zeromq-perl 0.006-1
Date: Sat, 13 Apr 2013 13:00:09 +0000
Source: libmessage-passing-zeromq-perl
Source-Version: 0.006-1

We believe that the bug you reported is fixed in the latest version of
libmessage-passing-zeromq-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 703695@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated libmessage-passing-zeromq-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 22 Mar 2013 15:24:47 +0100
Source: libmessage-passing-zeromq-perl
Binary: libmessage-passing-zeromq-perl
Architecture: source all
Version: 0.006-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 libmessage-passing-zeromq-perl - input and output messages to ZeroMQ
Closes: 703695
Changes: 
 libmessage-passing-zeromq-perl (0.006-1) unstable; urgency=low
 .
   * Initial packaging release.
     Closes: bug#703695.
Checksums-Sha1: 
 3aa14ce8e3c0367841067d15da1e1bba031efa9d 2409 libmessage-passing-zeromq-perl_0.006-1.dsc
 0e520e968c5a60347bca0b77048e85d001bc1a34 27513 libmessage-passing-zeromq-perl_0.006.orig.tar.gz
 29aa2889fa0ecffb8ab047da1966ee44f5dfe592 15816 libmessage-passing-zeromq-perl_0.006-1.debian.tar.gz
 e3edcfd77ff9cb5ccd2f0be2ccc71613d9e35e7b 44010 libmessage-passing-zeromq-perl_0.006-1_all.deb
Checksums-Sha256: 
 1817cc11e209904b9e703b4221312ba99cc225f1ef8168d3447bb82fab11b68c 2409 libmessage-passing-zeromq-perl_0.006-1.dsc
 7497bdb9eb0e994cf41bfc53ef70256cc728c008d108bae41e7875a0ffadb50b 27513 libmessage-passing-zeromq-perl_0.006.orig.tar.gz
 bab628a732dc3e16479bfc7d40065d9802065e54b7440776f299c6be29e497e2 15816 libmessage-passing-zeromq-perl_0.006-1.debian.tar.gz
 3ccf7e88ef0a08ef47fa4a776b307b202ca2511459c5312ceb1100d7ca30436e 44010 libmessage-passing-zeromq-perl_0.006-1_all.deb
Files: 
 e15dc8189730d0629f576810efeaaef6 2409 perl optional libmessage-passing-zeromq-perl_0.006-1.dsc
 5e67c6e955a4482fbdae5163374fec76 27513 perl optional libmessage-passing-zeromq-perl_0.006.orig.tar.gz
 7dce72836515207cf99c515d8d8c0ab9 15816 perl optional libmessage-passing-zeromq-perl_0.006-1.debian.tar.gz
 e8f357d3cb435f4ae67483d5505dc8bc 44010 perl optional libmessage-passing-zeromq-perl_0.006-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRTGp4AAoJECx8MUbBoAEhX9gP/133b8ES1dG6C2q3p4PS4shD
8Z9i8PImEUlzAb1AUsgmfH9CEr6Z86E5kPSbDIkAm03I9iXy08eshee37SeKTQcG
JZC+EGQQaEse+Kc7uPRhAaZNuN3zua7AlI0eDiNk4LrVeOH7Xtqbupwuu8q0gSMC
F4HjjGgXZ11Ua7JTwRwBXTPlYZIbhS8fChhUWvDXN7QTlJbY94XO6FADjR3lnrNc
vIuKbZTgoCOUgbr4kDkJqUHVHQ4HS8Z5i8IGSvbuoc44XbMfA63GzW5ou4kfwFN5
OCWjnp/6TTUR5+rFxeqXDdzKJZp6fA+cyR8fdPn4wtJ0eykbgvjs3pD/fqt48ikL
7iooDVufrQCpETmpd9E6wTPGyAXghQG42B9/MKHVgJKVQYTQLeDOVja7ZHsJS5oG
S5M4sdrX8sRda2ZuzUnFNPZAYj05K3pInA/jdlGykkSALO0ZAY2cvuQyIrvc3K5b
kS9dW0oxV1EqF+EaqHNYKe6Y2+oHWVmenv4tTjrEZ1c1lkja/67XePOMhvlICMug
/BD6uHm5noxCo5VWWIwbzHnYxCNPEsqNKjI/TAxlkzzllcqX12IhtaceqybpEoMN
UA6QIIoech9JHbfF/2hffoap2tDyed0Ger7o5Fd5s9GL2jv+7zQCtM56kiWVHEHO
Keg1nxic+I+eYyCWt9NK
=DKDx
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 12 May 2013 07:32:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:35:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.